ReflectionGenerator::getExecutingFile
ReflectionGenerator::getExecutingLine
ReflectionGenerator
PHP Manual

# ReflectionGenerator::getExecutingGenerator

(PHP 7)

ReflectionGenerator::getExecutingGenerator — Gets the executing Generator object

### Description

public Generator ReflectionGenerator::getExecutingGenerator ( void )

Get the executing Generator object

### Parameters

This function has no parameters.

### Return Values

Returns the currently executing Generator object.

### Examples

Example #1 ReflectionGenerator::getExecutingGenerator() example

`<?php
class GenExample
{
public function gen()
{
yield 1;
}
}
$gen = (new GenExample)->gen();
$reflectionGen = new ReflectionGenerator($gen);
$gen2 = $reflectionGen->getExecutingGenerator();
var_dump($gen2 === $gen);
var_dump($gen2->current());`

The above example will output something similar to:

    bool(true)
    int(1);

### See Also

- ReflectionGenerator::getExecutingLine() - Gets the currently executing line of the generator
- ReflectionGenerator::getExecutingFile() - Gets the file name of the currently executing generator

ReflectionGenerator::getExecutingFile
ReflectionGenerator::getExecutingLine
ReflectionGenerator
PHP Manual